Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.blobstore
Interface BlobstoreService

    public interface BlobstoreService

`BlobstoreService` allows you to manage the creation and serving of large, immutable blobs to users.

Method Summary
`java.lang.String` | `createUploadUrl(java.lang.String successPath)` Create an absolute URL that can be used by a user to asynchronously upload a large blob.
`void` | `delete(BlobKey... blobKeys)` Permanently deletes the specified blobs.
`java.util.Map<java.lang.String,BlobKey>` | `getUploadedBlobs(HttpServletRequest request)` Returns the `BlobKey` for any files that were uploaded.
`void` | `serve(BlobKey blobKey, HttpServletResponse response)` Arrange for the specified blob to be served as the response content for the current request.

Method Detail

### createUploadUrl

    java.lang.String createUploadUrl(java.lang.String successPath)

  Create an absolute URL that can be used by a user to asynchronously upload a large blob. Upon completion of the upload, a callback is made to the specified URL.

  Parameters:
    `successPath` - A relative URL which will be invoked after the user successfully uploads a blob.
  Throws:
    `java.lang.IllegalArgumentException` - If successPath was not valid.
    `BlobstoreFailureException` - If an error occurred while communicating with the blobstore.

### serve

    void serve(BlobKey blobKey,
               HttpServletResponse response)
               throws java.io.IOException

  Arrange for the specified blob to be served as the response content for the current request. `response` should be uncommitted before invoking this method, and should be assumed to be committed after invoking it. Any content written before calling this method will be ignored. You may, however, append custom headers before or after calling this method.

  Throws:
    `java.io.IOException` - If an I/O error occurred.
    `java.lang.IllegalStateException` - If `response` was already committed.

### delete

    void delete(BlobKey... blobKeys)

  Permanently deletes the specified blobs. Deleting unknown blobs is a no-op.

  Throws:
    `BlobstoreFailureException` - If an error occurred while communicating with the blobstore.

### getUploadedBlobs

    java.util.Map<java.lang.String,BlobKey> getUploadedBlobs(HttpServletRequest request)

  Returns the `BlobKey` for any files that were uploaded. This method should only be called from within a request served by the destination of a `createUploadUrl` call.

  Throws:
    `java.lang.IllegalStateException` - If not called from a blob upload callback request.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD